Get List Of Items

This request to get the list of items available to user to build an itemset through an API.

Body Params

API users can request list of items for an advertiserId using below filters

int64
required

ID of advertiser.

int32
Defaults to 0

Use this parameter to fetch specific number of items from a list, in combination with count.
This indicates the starting position of the list.
Note: Value of startIndex must be greater than and equal to 0. The default value is 0.

int32
Defaults to 100

Defines the total number of items to be returned.
You can use this parameter in combination with startIndex, to fetch specific number of item from a list.
Note: Value of count must be greater than 0. The default value is 100.

boolean
Defaults to true

Specifies whether to retrieve the list of items in own catalog or from all available items.
Note:
- Default value of isRestricted is true.
- filter[itemName] is mandatory if isRestricted is set to false.
- Filters for brand, category and subCategory are not supported when isRestricted is set to false.

boolean
Defaults to false

Controls whether to expand results to include related variants when filtering by itemId or gtin.

string
enum

Specify to fetch list of items of the specified type.
Note:
- If filter[itemType] is set to BASE, only base items will be returned.
- If filter[itemType] is set to VARIANT, only variant items will be returned.
- If omitted, both types will be included.

Allowed:
filter[itemId]
array of int64s

List of item IDs for which details are to be retrieved.

filter[itemId]
filter[itemName]
array of strings

Name of the item for which details are to be retrieved.
Note:
- filter[itemName] is mandatory if isRestricted is set to false.
- Supports exact match.

filter[itemName]
string
enum

Specify to fetch list of items from online or store or universal catalog.

Allowed:
filter[gtin]
array of strings

GTIN of the item for which item details are to be retrieved.
Note: * Supports exact match.*

filter[gtin]
filter[department]
array of strings

Specify to fetch list of items in the designated department.
Note:
- This parameter is case insensitive.
- Supports exact match.

filter[department]
filter[category]
array of strings

Specify to fetch list of items in the designated category.
Note:
- This parameter is case insensitive.
- Supports exact match.

filter[category]
filter[subCategory]
array of strings

Specify to fetch list of items in the designated sub-category.
Note:
- This parameter is case insensitive.
- Supports exact match.

filter[subCategory]
filter[brandName]
array of strings

Specify to fetch list of items in the designated brand.
Note: * Supports exact match.*

filter[brandName]
boolean

Filters the response to return only items that are eligible for Subscribe when set to true. When set to false, returns only non-eligible items.
If the filter is omitted, the API returns all items regardless of subscription eligibility.

Headers
string
required

Auth signature as an API key.

string
required

We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.

integer
required

We will provide you with the KEY VERSION to access the API.
It is same for all advertisers you access through the API. The allowed value is 1.

integer
required

Timestamp for which the auth signature is generated. Use Unix epoch format.

string
required

This is bearer token.
The token will provide you the access to the API. It is same for all advertisers you access through the API.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json